[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScrollingWinControl.AlignControls

Aligns the controls which have the class instance as their Parent.

## Declaration

Source position: forms.pp line 179

`protected procedure TScrollingWinControl.AlignControls(`
`AControl: TControl;`
`var ARect: TRect`
`); override;`

## Arguments

`AControl` |  | Control aligned in the method.
`ARect` |  | Client rectangle used in the operation.

## Description

Calls the inherited method to align the specified control and its children to the parent control. Ensures that the page, range, and position in the scroll bars are recalculated when AutoScroll is enabled and both HorzScrollBar and VertScrollBar are assigned.

## See also

TScrollingWinControl.AutoScroll |  | Indicates whether scroll bars are automatically displayed or hidden when needed.
TScrollingWinControl.HorzScrollBar |  | The horizontal scroll bar for the control.
TScrollingWinControl.VertScrollBar |  | The vertical scroll bar for the control.
TWinControl.AlignControls |  | Repositions and resizes the control and child controls.